Packages

Get agent detail

Returns agent detail including providers, config, state, skills, and tools.

GET/api/packages/agents/{scope}/{name}

Authorization

better-auth.session_token<token>

Cookie session from Better Auth. Requires X-Org-Id header for org-scoped routes.

In: cookie

Path Parameters

scope*string

Package scope (e.g. @my-org)

Match^@[a-z0-9][a-z0-9-]*$
name*string

Package name

Header Parameters

X-Org-Id?string

Organization ID. Required for cookie auth. Not needed for API key auth (org resolved from key).

Formatuuid
curl -X GET "https://loading/api/packages/agents/string/string"
{
  "agent": {
    "id": "string",
    "displayName": "string",
    "description": "string",
    "source": "system",
    "scope": "string",
    "version": "string",
    "manifest": {
      "name": "string",
      "version": "string",
      "type": "agent",
      "displayName": "string",
      "description": "string",
      "keywords": [
        "string"
      ],
      "license": "string",
      "repository": "string",
      "schemaVersion": "string",
      "dependencies": {
        "skills": {
          "property1": "string",
          "property2": "string"
        },
        "tools": {
          "property1": "string",
          "property2": "string"
        },
        "providers": {
          "property1": "string",
          "property2": "string"
        },
        "property1": null,
        "property2": null
      },
      "author": "string",
      "providersConfiguration": {
        "property1": {
          "scopes": [
            "string"
          ],
          "property1": null,
          "property2": null
        },
        "property2": {
          "scopes": [
            "string"
          ],
          "property1": null,
          "property2": null
        }
      },
      "input": {
        "schema": {
          "definitions": {},
          "dependencies": {},
          "$recursiveAnchor": "string",
          "$recursiveRef": "../dictionary",
          "$id": "../dictionary",
          "$schema": "http://example.com",
          "$ref": "../dictionary",
          "$anchor": "string",
          "$dynamicRef": "../dictionary",
          "$dynamicAnchor": "string",
          "$vocabulary": {
            "property1": true,
            "property2": true
          },
          "$comment": "string",
          "$defs": {
            "property1": null,
            "property2": null
          },
          "prefixItems": [
            null
          ],
          "items": null,
          "contains": null,
          "additionalProperties": null,
          "properties": {},
          "patternProperties": {},
          "dependentSchemas": {},
          "propertyNames": null,
          "if": null,
          "then": null,
          "else": null,
          "allOf": [
            null
          ],
          "anyOf": [
            null
          ],
          "oneOf": [
            null
          ],
          "not": null,
          "unevaluatedItems": null,
          "unevaluatedProperties": null,
          "const": true,
          "enum": [
            true
          ],
          "multipleOf": 1,
          "maximum": 0,
          "exclusiveMaximum": 0,
          "minimum": 0,
          "exclusiveMinimum": 0,
          "maxLength": 0,
          "minLength": 0,
          "pattern": "/regex/",
          "maxItems": 0,
          "minItems": 0,
          "uniqueItems": false,
          "maxContains": 0,
          "minContains": 1,
          "maxProperties": 0,
          "minProperties": 0,
          "required": [],
          "dependentRequired": {
            "property1": [],
            "property2": []
          },
          "title": "string",
          "description": "string",
          "default": true,
          "deprecated": false,
          "readOnly": false,
          "writeOnly": false,
          "examples": [
            true
          ],
          "format": "string",
          "contentEncoding": "string",
          "contentMediaType": "string",
          "contentSchema": null,
          "type": "object"
        },
        "fileConstraints": {
          "property1": {
            "accept": "string",
            "maxSize": 1,
            "property1": null,
            "property2": null
          },
          "property2": {
            "accept": "string",
            "maxSize": 1,
            "property1": null,
            "property2": null
          }
        },
        "uiHints": {
          "property1": {
            "placeholder": "string",
            "property1": null,
            "property2": null
          },
          "property2": {
            "placeholder": "string",
            "property1": null,
            "property2": null
          }
        },
        "propertyOrder": [
          "string"
        ]
      },
      "output": {
        "schema": {
          "definitions": {},
          "dependencies": {},
          "$recursiveAnchor": "string",
          "$recursiveRef": "../dictionary",
          "$id": "../dictionary",
          "$schema": "http://example.com",
          "$ref": "../dictionary",
          "$anchor": "string",
          "$dynamicRef": "../dictionary",
          "$dynamicAnchor": "string",
          "$vocabulary": {
            "property1": true,
            "property2": true
          },
          "$comment": "string",
          "$defs": {
            "property1": null,
            "property2": null
          },
          "prefixItems": [
            null
          ],
          "items": null,
          "contains": null,
          "additionalProperties": null,
          "properties": {},
          "patternProperties": {},
          "dependentSchemas": {},
          "propertyNames": null,
          "if": null,
          "then": null,
          "else": null,
          "allOf": [
            null
          ],
          "anyOf": [
            null
          ],
          "oneOf": [
            null
          ],
          "not": null,
          "unevaluatedItems": null,
          "unevaluatedProperties": null,
          "const": true,
          "enum": [
            true
          ],
          "multipleOf": 1,
          "maximum": 0,
          "exclusiveMaximum": 0,
          "minimum": 0,
          "exclusiveMinimum": 0,
          "maxLength": 0,
          "minLength": 0,
          "pattern": "/regex/",
          "maxItems": 0,
          "minItems": 0,
          "uniqueItems": false,
          "maxContains": 0,
          "minContains": 1,
          "maxProperties": 0,
          "minProperties": 0,
          "required": [],
          "dependentRequired": {
            "property1": [],
            "property2": []
          },
          "title": "string",
          "description": "string",
          "default": true,
          "deprecated": false,
          "readOnly": false,
          "writeOnly": false,
          "examples": [
            true
          ],
          "format": "string",
          "contentEncoding": "string",
          "contentMediaType": "string",
          "contentSchema": null,
          "type": "object"
        },
        "fileConstraints": {
          "property1": {
            "accept": "string",
            "maxSize": 1,
            "property1": null,
            "property2": null
          },
          "property2": {
            "accept": "string",
            "maxSize": 1,
            "property1": null,
            "property2": null
          }
        },
        "uiHints": {
          "property1": {
            "placeholder": "string",
            "property1": null,
            "property2": null
          },
          "property2": {
            "placeholder": "string",
            "property1": null,
            "property2": null
          }
        },
        "propertyOrder": [
          "string"
        ]
      },
      "config": {
        "schema": {
          "definitions": {},
          "dependencies": {},
          "$recursiveAnchor": "string",
          "$recursiveRef": "../dictionary",
          "$id": "../dictionary",
          "$schema": "http://example.com",
          "$ref": "../dictionary",
          "$anchor": "string",
          "$dynamicRef": "../dictionary",
          "$dynamicAnchor": "string",
          "$vocabulary": {
            "property1": true,
            "property2": true
          },
          "$comment": "string",
          "$defs": {
            "property1": null,
            "property2": null
          },
          "prefixItems": [
            null
          ],
          "items": null,
          "contains": null,
          "additionalProperties": null,
          "properties": {},
          "patternProperties": {},
          "dependentSchemas": {},
          "propertyNames": null,
          "if": null,
          "then": null,
          "else": null,
          "allOf": [
            null
          ],
          "anyOf": [
            null
          ],
          "oneOf": [
            null
          ],
          "not": null,
          "unevaluatedItems": null,
          "unevaluatedProperties": null,
          "const": true,
          "enum": [
            true
          ],
          "multipleOf": 1,
          "maximum": 0,
          "exclusiveMaximum": 0,
          "minimum": 0,
          "exclusiveMinimum": 0,
          "maxLength": 0,
          "minLength": 0,
          "pattern": "/regex/",
          "maxItems": 0,
          "minItems": 0,
          "uniqueItems": false,
          "maxContains": 0,
          "minContains": 1,
          "maxProperties": 0,
          "minProperties": 0,
          "required": [],
          "dependentRequired": {
            "property1": [],
            "property2": []
          },
          "title": "string",
          "description": "string",
          "default": true,
          "deprecated": false,
          "readOnly": false,
          "writeOnly": false,
          "examples": [
            true
          ],
          "format": "string",
          "contentEncoding": "string",
          "contentMediaType": "string",
          "contentSchema": null,
          "type": "object"
        },
        "fileConstraints": {
          "property1": {
            "accept": "string",
            "maxSize": 1,
            "property1": null,
            "property2": null
          },
          "property2": {
            "accept": "string",
            "maxSize": 1,
            "property1": null,
            "property2": null
          }
        },
        "uiHints": {
          "property1": {
            "placeholder": "string",
            "property1": null,
            "property2": null
          },
          "property2": {
            "placeholder": "string",
            "property1": null,
            "property2": null
          }
        },
        "propertyOrder": [
          "string"
        ]
      },
      "timeout": 1,
      "property1": null,
      "property2": null
    },
    "prompt": "string",
    "updatedAt": "2019-08-24T14:15:22Z",
    "lockVersion": 0,
    "config": {
      "schema": {},
      "current": {},
      "fileConstraints": {
        "property1": {
          "accept": "string",
          "maxSize": 0
        },
        "property2": {
          "accept": "string",
          "maxSize": 0
        }
      },
      "uiHints": {
        "property1": {
          "placeholder": "string"
        },
        "property2": {
          "placeholder": "string"
        }
      },
      "propertyOrder": [
        "string"
      ]
    },
    "input": {
      "schema": {},
      "fileConstraints": {
        "property1": {
          "accept": "string",
          "maxSize": 0
        },
        "property2": {
          "accept": "string",
          "maxSize": 0
        }
      },
      "uiHints": {
        "property1": {
          "placeholder": "string"
        },
        "property2": {
          "placeholder": "string"
        }
      },
      "propertyOrder": [
        "string"
      ]
    },
    "output": {
      "schema": {},
      "propertyOrder": [
        "string"
      ]
    },
    "dependencies": {
      "providers": [
        {
          "id": "string",
          "provider": "string",
          "description": "string",
          "status": "connected",
          "authMode": "string",
          "scopesRequired": [
            "string"
          ],
          "scopesGranted": [
            "string"
          ],
          "scopesSufficient": true,
          "scopesMissing": [
            "string"
          ],
          "source": "org_binding",
          "profileName": "string",
          "profileOwnerName": "string"
        }
      ],
      "skills": [
        {
          "id": "string",
          "version": "string",
          "name": "string",
          "description": "string"
        }
      ],
      "tools": [
        {
          "id": "string",
          "version": "string",
          "name": "string",
          "description": "string"
        }
      ]
    },
    "lastRun": {
      "id": "string",
      "status": "string",
      "startedAt": "2019-08-24T14:15:22Z",
      "duration": 0
    },
    "runningRuns": 0,
    "versionCount": 0,
    "agentOrgProfileId": "e5aa9e88-92ab-4986-97ef-caf843625746",
    "agentOrgProfileName": "string",
    "forkedFrom": "string",
    "hasUnpublishedChanges": true,
    "populatedProviders": {
      "property1": {
        "id": "string",
        "displayName": "string",
        "authMode": "oauth2",
        "source": "built-in",
        "hasCredentials": true,
        "enabled": true,
        "adminCredentialSchema": {},
        "authorizationUrl": "string",
        "tokenUrl": "string",
        "refreshUrl": "string",
        "requestTokenUrl": "string",
        "accessTokenUrl": "string",
        "defaultScopes": [
          "string"
        ],
        "scopeSeparator": "string",
        "pkceEnabled": true,
        "tokenAuthMethod": "client_secret_post",
        "authorizationParams": {},
        "tokenParams": {},
        "credentialSchema": {},
        "credentialFieldName": "string",
        "credentialHeaderName": "string",
        "credentialHeaderPrefix": "string",
        "availableScopes": [
          {
            "value": "string",
            "label": "string"
          }
        ],
        "authorizedUris": [
          "string"
        ],
        "allowAllUris": true,
        "iconUrl": "string",
        "categories": [
          "string"
        ],
        "docsUrl": "string",
        "usedByAgents": 0
      },
      "property2": {
        "id": "string",
        "displayName": "string",
        "authMode": "oauth2",
        "source": "built-in",
        "hasCredentials": true,
        "enabled": true,
        "adminCredentialSchema": {},
        "authorizationUrl": "string",
        "tokenUrl": "string",
        "refreshUrl": "string",
        "requestTokenUrl": "string",
        "accessTokenUrl": "string",
        "defaultScopes": [
          "string"
        ],
        "scopeSeparator": "string",
        "pkceEnabled": true,
        "tokenAuthMethod": "client_secret_post",
        "authorizationParams": {},
        "tokenParams": {},
        "credentialSchema": {},
        "credentialFieldName": "string",
        "credentialHeaderName": "string",
        "credentialHeaderPrefix": "string",
        "availableScopes": [
          {
            "value": "string",
            "label": "string"
          }
        ],
        "authorizedUris": [
          "string"
        ],
        "allowAllUris": true,
        "iconUrl": "string",
        "categories": [
          "string"
        ],
        "docsUrl": "string",
        "usedByAgents": 0
      }
    },
    "callbackUrl": "string"
  }
}
{
  "type": "https://docs.appstrate.dev/errors/unauthorized",
  "title": "Unauthorized",
  "status": 401,
  "detail": "Invalid or missing session",
  "code": "unauthorized",
  "requestId": "req_abc123"
}
{
  "type": "https://docs.appstrate.dev/errors/not-found",
  "title": "Not Found",
  "status": 404,
  "detail": "Resource not found",
  "code": "not_found",
  "requestId": "req_abc123"
}